Subject: Re: Maple platform - adding graphics to IBM PIBS firmware

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 14 Jul 2006 05:43:06 +1000

> I was (naively) thinking that if I could access the legacy VGA register 
> set, I could set the graphic card to text mode and use the graphic 
> screen as a alphanumeric console, until linux soft boots the graphic 
> card . Do you think this is doable? I haven't been able to locate that 
> VGA register set yet.

The legacy VGA operations also require the card to be fully initialized
by the BIOS. In addition to that, there is an issue with using VGA text
mode on machines using the CPC925 bridge as it doesn't have a legacy
memory window: It doesn't have a facility to generate PCI or HT memory
cycles in the low addresses required for VGA.

You can still hack-around in a somewhat card-specific way using the main
memory apperture and doing your onw interleaving of characters and
attributes but it's dodgy.

In any case, you still need the card to be initialized.

Ben.